{pkgs, ...}: {
  home = {
    username = "tacocat";
    homeDirectory = "/home/tacocat";
    stateVersion = "23.11";
    sessionVariables = {
      EDITOR = "hx";
      BAT_THEME = "ansi";
      DOTNET_ROOT = "$HOME/.dotnet";
    };
    sessionPath = [
      "$HOME/.local/bin"
      "$HOME/.dotnet"
    ];
    packages = with pkgs; [
      rnote
      # sops
      mpv
      discord
      neovim
      libreoffice
      notify-desktop
      texlive.combined.scheme-medium
      libsixel
      aspell
      aspellDicts.en
      qalculate-qt
      fzf
      zathura
      pyocd
      screen
      wineWowPackages.stable
      comic-mono
      maple-mono
      jetbrains-mono
      fira-code
      mononoki
      inter
      (nerdfonts.override {fonts = ["FiraCode"];})
      gnupg
      pandoc
      jdk20
      maven
      pdftk
      git
      lua
      pamixer
      networkmanagerapplet
      htop
      p7zip
      cachix
      aria
    ];
  };

  programs.nix-index.enable = true;

  fonts.fontconfig.enable = true;

  news.display = "silent";

  # sops = {
  #   defaultSopsFile = ../../secrets/secrets.yaml;
  #   defaultSopsFormat = "yaml";
  #   age.keyFile = "/home/tacocat/.config/sops/age/keys.txt";
  #   secrets.email-personal = {};
  #   secrets.email-spam = {};
  #   secrets.email-school = {};
  # };

  imports = [
    ./programs
    ./services
    ./shell
    ./helix
    ./wayland
    ./email.nix
  ];

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
